import java.io.*;
import java.util.*;

public class Question1 {
	
	//Reads words from file line by line and word by word
	static ArrayList<String> readWords(String fileName) {
		
		//Array list of lines which holds word by word
		ArrayList<String> contents = new ArrayList<String>();
		
		try {
			//Initialize file pointer
			BufferedReader br = new BufferedReader(new FileReader(fileName));
			
			String line;
			//Loop until end of the file
			while ((line = br.readLine()) != null) {
				
				ArrayList<String> lineData = new ArrayList<String>();
				
				//Read line by line and append words into array
				String[] splitData = line.split(" ");
				
				for(int i = 0; i < splitData.length; i++)
					contents.add(splitData[i]);
			}
		} catch (Exception ex) {
			
		}
		
		//Return the contents
		return contents;
	}
	
	public static void merge(String[] left, String[] right, String[] input) { 
        int i = 0, j = 0; 
        while (i + j < input.length) { 
            if (j == right.length || (i < left.length && left[i].compareToIgnoreCase(right[j]) < 0)) 
                input[i+j] = left[i++];
            else 
                input[i+j] = right[j++];
        }
    }
    
    public static void mergeSort(String[] input) { 
        int n = input.length; 
		
        if (n < 2) return; 
		
        int mid = n/2; 
		
        String[] left = Arrays.copyOfRange(input, 0, mid); 
        String[] right = Arrays.copyOfRange(input, mid, n); 
		
        mergeSort(left); 
        mergeSort(right); 
		
        merge(left, right, input); 
    } 
	
	//Main method
	public static void main(String[] arg) {
		
		String fileName = "input.txt";
		
		if(arg.length >= 1) {
			fileName = arg[0];
		}
		
		//Read words
		ArrayList<String> words = readWords(fileName);
		
		String[] wordsArray = new String[words.size()];
		
		for(int i = 0; i < words.size(); i++)
        {
            wordsArray[i] = words.get(i);
        }
		
		mergeSort(wordsArray);
		
		for(int i = 0; i < words.size(); i++)
        {
            System.out.println(wordsArray[i]);
        }
	}
}